//
//  MOChoiceController.h
//  MOSettingsTableView
//
//  Created by Jan Christiansen on 11/20/12.
//  Copyright (c) 2012 monoid - Software Development and Consulting - Jan Christiansen. All rights reserved.
//

#import <UIKit/UIKit.h>


@class MOChoiceController;


@protocol MOChoiceControllerDelegate <NSObject>


- (void)choiceController:(MOChoiceController *)choiceController
           didChoseIndex:(NSUInteger)choice
            forIndexPath:(NSIndexPath *)indexPath;


@end


@interface MOChoiceController : UITableViewController


@property(assign, nonatomic) id<MOChoiceControllerDelegate> delegate;

@property(strong, nonatomic) NSString *name;

@property(strong, nonatomic) NSIndexPath *indexPath;

@property(assign, nonatomic) NSUInteger choice;


- (id)initWithChoices:(NSArray *)choices;


@end
